/*
 * Copyright (C) 2017-2019  Christopher J. Howard
 *
 * This file is part of Antkeeper Source Code.
 *
 * Antkeeper Source Code is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Antkeeper Source Code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Antkeeper Source Code.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ANSI_ESCAPE_CODES_HPP
#define ANSI_ESCAPE_CODES_HPP

// Reset code
extern const char* ANSI_CODE_RESET;

// Standard colors
extern const char* ANSI_CODE_BLACK;
extern const char* ANSI_CODE_RED;
extern const char* ANSI_CODE_GREEN;
extern const char* ANSI_CODE_YELLOW;
extern const char* ANSI_CODE_BLUE;
extern const char* ANSI_CODE_MAGENTA;
extern const char* ANSI_CODE_CYAN;
extern const char* ANSI_CODE_WHITE;

// Bright colors
extern const char* ANSI_CODE_BRIGHT_BLACK;
extern const char* ANSI_CODE_BRIGHT_RED;
extern const char* ANSI_CODE_BRIGHT_GREEN;
extern const char* ANSI_CODE_BRIGHT_YELLOW;
extern const char* ANSI_CODE_BRIGHT_BLUE;
extern const char* ANSI_CODE_BRIGHT_MAGENTA;
extern const char* ANSI_CODE_BRIGHT_CYAN;
extern const char* ANSI_CODE_BRIGHT_WHITE;

// Standard background colors
extern const char* ANSI_CODE_BACKGROUND_BLACK;
extern const char* ANSI_CODE_BACKGROUND_RED;
extern const char* ANSI_CODE_BACKGROUND_GREEN;
extern const char* ANSI_CODE_BACKGROUND_YELLOW;
extern const char* ANSI_CODE_BACKGROUND_BLUE;
extern const char* ANSI_CODE_BACKGROUND_MAGENTA;
extern const char* ANSI_CODE_BACKGROUND_CYAN;
extern const char* ANSI_CODE_BACKGROUND_WHITE;

// Bright background colors
extern const char* ANSI_CODE_BACKGROUND_BRIGHT_BLACK;
extern const char* ANSI_CODE_BACKGROUND_BRIGHT_RED;
extern const char* ANSI_CODE_BACKGROUND_BRIGHT_GREEN;
extern const char* ANSI_CODE_BACKGROUND_BRIGHT_YELLOW;
extern const char* ANSI_CODE_BACKGROUND_BRIGHT_BLUE;
extern const char* ANSI_CODE_BACKGROUND_BRIGHT_MAGENTA;
extern const char* ANSI_CODE_BACKGROUND_BRIGHT_CYAN;
extern const char* ANSI_CODE_BACKGROUND_BRIGHT_WHITE;

// Decorations
extern const char* ANSI_CODE_BOLD;
extern const char* ANSI_CODE_UNDERLINE;
extern const char* ANSI_CODE_REVERSED;

#endif // ANSI_ESCAPE_CODES_HPP

